#31138 closed enhancement (fixed)

Document WSL Installation

Reported by: gh-sandyscott Owned by:
Priority: minor Milestone: sage-9.3
Component: documentation Keywords: WSL
Cc: gh-tobiasdiez, charpent Merged in:
Authors: Sandy Scott Reviewers: Tobias Diez
Report Upstream: N/A Work issues:
Branch: ec25daf (Commits, GitHub, GitLab) Commit: ec25daffb3a44eead1071ab4a93786aa79d48cea
Dependencies: Stopgaps:

Status badges

Description (last modified by gh-sandyscott)

In reponse to an ask.sagemath question about package installation on windows, I linked to my documentation for a from-source installation on WSL.

Emmanuel Charpentier requested that I added this to the official documentation.

I've added a section on setting up WSL to en/installation/source.rst and a section which covers the steps needed to launch sage in WSL from the windows desktop or start menu to en/installation/launching.rst

Change History (9)

comment:1 Changed 13 months ago by gh-sandyscott

  • Branch set to u/gh-sandyscott/document_wsl_installation

comment:2 Changed 13 months ago by gh-sandyscott

  • Commit set to bbe6b4de20e101f6a866f56b1462a3a031f517ec
  • Component changed from PLEASE CHANGE to documentation
  • Description modified (diff)
  • Keywords WSL added
  • Priority changed from major to minor
  • Status changed from new to needs_review
  • Type changed from PLEASE CHANGE to enhancement

comment:3 Changed 13 months ago by mkoeppe

  • Cc gh-tobiasdiez added

comment:4 Changed 13 months ago by gh-tobiasdiez

Thanks for adding the documentation. The explanations are very good. Some small suggestions from my side:

  • Did you tried it on WSL 2 with Ubunutu 20.04? Last time I tried, I run into serious problems, I think it was with ecl. On 20.10 it does work for me as well. Maybe this should be made more explicit in the explanation?
  • You can restart the WSL instance more easily via wsl --shutdown.
  • "I'd recommend" - I think the rest of the documentation is more in the "we" form, i.e. "we recommend" or "it is recommended".

comment:5 Changed 13 months ago by gh-sandyscott

I've just done an install (of 9.2) on Ubuntu 20.04, it compiled successfully and passed all the tests. However, Jupyter won't start, and I can't install the package that motivated me to do the WSL from source install in the first place.

I'll make the upgrade to 20.10 an instruction rather than a recommendation.

Thanks for the other suggestions.

comment:6 Changed 13 months ago by git

  • Commit changed from bbe6b4de20e101f6a866f56b1462a3a031f517ec to ec25daffb3a44eead1071ab4a93786aa79d48cea

Branch pushed to git repo; I updated commit sha1. New commits:

ec25dafMade Ubuntu 20.10 mandatory for WSL installation, mentioned alternative WSL reboot methods, small typos.

comment:7 Changed 13 months ago by mkoeppe

  • Authors set to Sandy Scott
  • Cc charpent added

comment:8 Changed 13 months ago by gh-tobiasdiez

  • Reviewers set to Tobias Diez
  • Status changed from needs_review to positive_review

LGTM!

comment:9 Changed 12 months ago by vbraun

  • Branch changed from u/gh-sandyscott/document_wsl_installation to ec25daffb3a44eead1071ab4a93786aa79d48cea
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.